mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Principal.IIdentity System.Runtime.InteropServices.ComVisible(true)

An identity object represents the user on whose behalf the code is running.

Represents a generic user.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class representing the user with the specified name.

  The name of the user on whose behalf the code is running.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class representing the user with the specified name and authentication type.

  The name of the user on whose behalf the code is running.
  The type of authentication used to identify the user.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String The value specified in the constructor or String.Empty if no value was used. To be added

  Gets the type of authentication used to identify the user.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean True if Name is different from String.Empty (""), false otherwise. To be added

  Gets a value indicating whether the user has been authenticated.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String The value specified in the constructor. To be added

  Gets the user's name.